#!/usr/bin/perl

use strict;
use warnings;
use Getopt::Long;

###OPTIONS################################################

our($opt_help);
GetOptions("help" => \$opt_help);
die "Usage: get-hosts.pl --help\n"
  unless(scalar(@ARGV)==0);

##########################################################

main(@ARGV);

###MAIN################################################

sub main
{
  my @hosts=();
  open(HOSTS,">hosts") or die "Could not open hosts\n";
  for(my $i=192; $i<224; $i++)
  {
    for(my $j=0; $j<256; $j++)
    {
      for(my $k=0; $k<256; $k++)
      {
	for(my $l=0; $l<256; $l++)
	{
	  my $server=$i.".".$j.".".$k.".".$l;
	  my $out=`host $server`;
	  if($out =~ /domain name pointer/)
	  {
	    push(@hosts,$server);
	    print HOSTS "$server : $out";
	  }
	}
      }
    }
  }
  close(HOSTS);
}
