#!/usr/bin/perl
use strict;
use warnings;
use Getopt::Long;

###OPTIONS################################################

our($opt_help,$opt_include);
GetOptions("help" => \$opt_help,
	   "i" => \$opt_include);
die "Usage: filter-dat.pl <filterlist> <file> --help -i\n"
  unless(scalar(@ARGV)>=2);

main(@ARGV);

###MAIN################################################

sub main
{
  my($filterfile,$bigfile)=@_;
  open(FILTDATA,"$filterfile") or die "Could not open $filterfile\n";
  my %remainders=();
  while(my $line=<FILTDATA>)
  {
    chomp($line);
    $remainders{$line}=1;
  }
  close(FILTDATA);

  open(BIGDATA,"$bigfile") or die "Could not open $bigfile\n";
  while(my $line=<BIGDATA>)
  {
    my($server,undef)=split(" ",$line);
    if($opt_include)
    {
      next unless(defined($remainders{$server}));
    }
    else
    {
      next if(defined($remainders{$server}));
    }
    print $line;
  }
  close(BIGDATA);
}
