#!/usr/bin/perl

use strict;
use warnings;
use Getopt::Long;

###OPTIONS################################################

our($opt_help);
GetOptions("help" => \$opt_help);
die "Usage: scan-all.pl <cipherfile> --help\n"
  unless(scalar(@ARGV)==1);

##########################################################

main(@ARGV);

###MAIN################################################

sub main
{
  my($file)=@_;
  open(CIPHERS,"$file") or die "Could not open $file\n";
  my @ciphers=();
  while(my $line=<CIPHERS>)
  {
    next if($line =~ /^$/);   #skips blank lines
    chomp($line);
    push(@ciphers,$line);
  }
  close(CIPHERS);

  my %addresses=();

  open(IPS,">checked_ips") or die "Could not open checked_ips\n";
  for(my $i=0; $i<520093696; $i++)
  {
    my $server=(int(rand 32)+192).".".int(rand 256).".".
      int(rand 256).".".int(rand 256);
    print IPS "$server ";
    foreach my $cipher (@ciphers)
    {
      `httperf --server $server --ssl --hog --debug 2 --ssl-cipher $cipher > httperf_out.log 2> httperf_err.log`;
      wait();
      print IPS "|";
    }
    print IPS "\n";
  }
  close(IPS);
}
